﻿using C1.Win.C1Document.Export;
using C1.Win.FlexReport;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace prj_FlexReport
{
    public partial class Form1 : Form
    {
        int pageTotal=0;
        public Form1()
        {
            InitializeComponent();
        }

        private void paraButton_Click(object sender, EventArgs e)
        {
            c1FlexReport1.Load(@"..\..\CarsReport.flxr", "Cars Report 1");
            c1FlexReport1.DataSource.DataProvider = C1.Win.FlexReport.DataProvider.OLEDB;
            c1FlexReport1.DataSource.RecordSourceType = C1.Win.FlexReport.RecordSourceType.Text;
            c1FlexReport1.DataSource.ConnectionString = @"Provider=Microsoft.Jet.OLEDB.4.0;Data Source=" + Environment.GetFolderPath(Environment.SpecialFolder.MyDocuments) + @"\ComponentOne Samples\Common\C1NWind.mdb;Persist Security Info=False";
            c1FlexReport1.DataSource.RecordSource = "select * from Cars;";
            c1FlexReport1.Render();
            //Render again. This time, the PageCount from the previous rendering is used to get the total page count and then add the default variable value to it.
           c1FlexReport1.Render();
            c1FlexViewer1.DocumentSource = c1FlexReport1;   
        }
        private void c1FlexReport1_EndReport(object sender, EventArgs e)
        {
            Console.WriteLine(c1FlexReport1.PageCount);
            pageTotal = c1FlexReport1.PageCount;
        }

        private void c1FlexReport1_StartSection(object sender, ReportEventArgs e)
        {
           
            if (e.Section == SectionTypeEnum.PageFooter)
            {
                TextField tf = new TextField();
                tf = (TextField)c1FlexReport1.Fields["ftrRight"];
                int pageDefaut = 10; // parameter
                int total = pageTotal + pageDefaut;
                tf.Text = "Page " + (e.Page +pageDefaut) + "/" + total;
            }
        }

    }
}
